Package org.eclipse.birt.report.model.api.extension

# Interface IFont

public interface IFont

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`float`
`getSize()`
`boolean`
`isBold()`
`boolean`
`isItalic()`
`boolean`
`isStrikeThrough()`
`boolean`
`isUnderline()`
`void`
`setBold(boolean isBold)`
`void`
`setItalic(boolean isItalic)`
`void`
`setName(String name)`
`void`
`setSize(float size)`
`void`
`setStrikeThrough(boolean isStrikeThrough)`
`void`
`setUnderline(boolean isUnderline)`

## Method Details

### isBold

boolean isBold()

### setBold

void setBold(boolean isBold)

### isItalic

boolean isItalic()

### setItalic

void setItalic(boolean isItalic)

### isUnderline

boolean isUnderline()

### setUnderline

void setUnderline(boolean isUnderline)

### isStrikeThrough

boolean isStrikeThrough()

### setStrikeThrough

void setStrikeThrough(boolean isStrikeThrough)

### getName

String getName()

### setName

void setName(String name)

### getSize

float getSize()

### setSize

void setSize(float size)